Bug 146783 - Correct handling of oversized reply headers
Summary: Correct handling of oversized reply headers
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: squid   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact:
URL:
Whiteboard: impact=moderate,public=20050131
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-01 16:48 UTC by Josh Bressers
Modified: 2014-08-31 23:27 UTC (History)
1 user (show)

Fixed In Version: 7:2.5.STABLE7-1.FC3.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-14 16:16:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2005-02-01 16:48:55 UTC
*** This bug has been split off bug 146780 ***

------- Original comment by Josh Bressers (Security Response Team) on 2005.02.01
11:42 -------

This patch addresses a HTTP protocol mismatch related to oversized reply
headers. In addition it enhances the cache.log reporting on reply header parsing
failures to make it easier to track down which sites are malfunctioning.

The upstream patch for this issue is here:
http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE7-oversize_reply_headers.patch

Comment 1 Josh Bressers 2005-02-01 16:49:25 UTC
This issue should also affect FC2


Note You need to log in before you can comment on or make changes to this bug.